cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dmitry Blotsky <dblot...@microsoft.com>
Subject RE: [DISCUSS] Release file-transfer, media and media-capture
Date Thu, 03 Dec 2015 03:02:55 GMT
Indeed. This also applies to all packages, not just to plugins.

-----Original Message-----
From: Carlos Santana [mailto:csantana23@gmail.com] 
Sent: Tuesday, December 1, 2015 8:49 PM
To: dev@cordova.apache.org
Subject: Re: [DISCUSS] Release file-transfer, media and media-capture

+1 on specifying semver info for plugin dependencies

We need to watch out for the use case that plugins don't specify/resolve two different versions
of the same plugin (i.e. file). For this reason is better to use flexible range using carat
than specifying fixed version number.


On Tue, Dec 1, 2015 at 8:09 PM Dmitry Blotsky <dblotsky@microsoft.com>
wrote:

> I created a task: 
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fissues.apache.org%2fjira%2fbrowse%2fCB-10110.&data=01%7c01%7cdblotsky%40microsoft.com%7c82b1c4c7ca43408d290808d2fad3e98b%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=T4lNDw9H%2fXCAF9lIQWJNSrPyEapWVG5SBT0vwfpSgeU%3d
Also, we should drop _all_ 0.x.x dependencies for sanity’s sake (refer here:
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fnodes
> ource.com%2fblog%2fsemver-tilde-and-caret&data=01%7c01%7cdblotsky%40microsoft.com%7c82b1c4c7ca43408d290808d2fad3e98b%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=E20OnCffiUUPmqAQWFY8CupEepShxawj95Wz7dZYkr8%3d).
If we just *must* use software below 1.0.0, we should be using “==“. Any disagreements?
>
> Kindly,
> Dmitry
>
> On Dec 1, 2015, at 4:15 PM, Jesse <purplecabbage@gmail.com<mailto:
> purplecabbage@gmail.com>> wrote:
>
> sounds good to me! Sounds like we need to.
>
>
> @purplecabbage
>
> https://na01.safelinks.protection.outlook.com/?url=risingj.com&data=01
> %7c01%7cdblotsky%40microsoft.com%7c1b06326da0414331afbc08d2faadb4f4%7c
> 72f988bf86f141af91ab2d7cd011db47%7c1&sdata=y6ZG90lSRsnDYqKdxmyFW5vOZaB
> j2qMFbwTtN9wkwec%3d
>
> On Tue, Dec 1, 2015 at 3:50 PM, Steven Gill <stevengill97@gmail.com>
> wrote:
>
> Due to file-transfer, media and media-capture having a dependency on 
> the file plugin, I propose we do a few patch/major releases for those plugins.
>
> Currently, the file dependency for these three plugins was set to grab 
> new majors automatically. This was a pretty big problem when people 
> working with cordova-android@4.x installed file-transfer and it was 
> grabbing a version of file that wasn't compatible.
>
> I updated the deps so it would only grab minor and patch changes. See
>
> https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fissue
> s.apache.org%2fjira%2fbrowse%2fCB-10100&data=01%7c01%7cdblotsky%40micr
> osoft.com%7c1b06326da0414331afbc08d2faadb4f4%7c72f988bf86f141af91ab2d7
> cd011db47%7c1&sdata=xPcujZgkOvm2k8EdpliawjaU0QhdEDBzCAS7MtkeKMI%3d
>
> I suggest we do the following releases where 1.x.x would have file 
> ^3.0.0 and 2.x.x would have file ^4.0.0:
> File-transfer@1.4.1 & 2.0.0.
> media@1.0.2 & 2.0.1
> media-capture@1.1.1 & 2.0.0
>
>
>
Mime
View raw message